#!/bin/bash

# Generate the configuration files for an experiment we're about to do

exp_num="$1"
secrecy="$2"
harshness="$3"
prob="$4"

f1="configs/troll_patrol_config.json"
cp "${f1}.template" "${f1}"
f2="configs/simulation_config.json"
cp "${f2}.template" "${f2}"

# Troll Patrol config
sed -i "s/HARSHNESS/$harshness/" "${f1}"

# Lox Simulation config
sed -i "s/CENSOR_SECRECY/\"$secrecy\"/" "${f2}"
sed -i "s/PROB_USER_SUBMITS_REPORTS/$prob/" "${f2}"
